<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\EmailVorbelegen;

class EmailVorbelegenGeloeschteKurstage extends EmailVorbelegenKurstage
{
  
  protected function getKurstage()
  {
    return array_filter($this->getOrigKurstage(), function($origKurstag) { return $origKurstag->ausfall != 'A'; });
  }

  
  protected function getDatumPartEinKurstag($pDatumString)
  {
    return 'fällt ein Termin am ' . $pDatumString . ' aus.';
  }

  
  protected function getDatumPartMehrereKurstage($pDatumString)
  {
    return 'fallen Termine am ' . $pDatumString . ' aus.';
  }

  
  protected function getGeaenderteDatenPart()
  {
    $result = '';
    $origKurstage = $this->getOrigKurstage();

    foreach ($origKurstage as $origKurstag) {
      $result .= 'Der Termin am ' . $origKurstag->datum . ' von ' . $origKurstag->zeit_beg . ' - ' . $origKurstag->zeit_ende . ' Uhr fällt aus.' . "\r\n";
    }

    return $result;
  }
}